package com.dsic.gj_erp.pc;

import cn.hutool.core.util.IdUtil;
import cn.hutool.core.util.StrUtil;
import lombok.Getter;
import lombok.Setter;
import lombok.extern.slf4j.Slf4j;

import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
@Slf4j
public class 订货计划 {
    private String month;
    private String index;
    private String dcch;
    private String pls;//批量范围
    private List<String> plList;
    private String tonnage;
    private String sumWeight;
    private String allArriveData;//到齐日期
    private String key;
    public String getKey(){
        return this.month+this.dcch+pls;
    }
    public synchronized List<String> getPlList(){
        if (this.plList!=null){
            return this.plList;
        }
        List<String> split = StrUtil.split(pls, "-");
        String logMsg=StrUtil.format("订货计划--船号:{},批量范围格式错误:{}",dcch,pls);
        if (split.size()!=2){
            log.error(logMsg);
            throw new RuntimeException(logMsg);
        }
        try {
            int start=Integer.parseInt(split.get(0));
            int end=Integer.parseInt(split.get(1));
            this.plList=new ArrayList<>();
            for (int i=start;i<=end;i++){
                this.plList.add(i+"");
            }
            return this.plList;
        }catch (Exception e){
            log.error(logMsg);
            throw new RuntimeException(logMsg);
        }
    }
}
